.*
:userdoc.
:title. Bookshelf Version 0.9.0
:docprof toc=12.
.*
.* Panel definition : Introduction
.*
:h1 id=100  res=100 x=0% y=0% width=100% height=100%  group=1.Introduction
:i1 id=100.Introduction
:p.
Bookshelf will scan your drive(s) and find books (INF and/or HLP files). You may select and open file from a list, or create Folder on your Desktop with all found books.
:p.
Bookshelf requires two additional programs&colon.
:dl compact tsize=20.
:dt.:hp2.View.exe:ehp2.
:dd.Viewer for INF files
:dt.:hp2.Viewhelp.exe:ehp2.
:dd.Viewer for HLP files
:edl.
:p.
This program does not need any install procedure and does not change your system files (CONFIG.SYS and system INI files).
.br
If you want to create program object on Desktop, run :hp9.Install.cmd:ehp9. Rexx script with parameter :hp9.I:ehp9..
.br
To uninstall Bookshelf, run :hp9.Install.cmd:ehp9. Rexx script again with parameter :hp9.U:ehp9. to destroy program object on Desktop. Then you can delete all files in Bookshelf directory.
:p.
:nt.
Source code for Bookshelf is included.
:ent.
.*
.* Panel definition : Usage
.*
:h1 id=200  res=200 x=0% y=0% width=100% height=100%  group=1.Usage
:i1 id=200.Usage
:p.
Whey you start Bookshelf for first time, it will scan drive and display all found INF and HLP file in the list.
Files are listed in alphabetic order (title and file location).
:p.
In bottom line are buttons&colon.
:dl tsize=10.
:dt.:hp2.Scan:ehp2.
:dd.Scan drive(s) and find books. When you click on this button, in new window you can select&colon.
drives to scan (default is drive where Bookshelf is installed) and books (INF and HLP - default is both).
.br
After you select drives and books, click on button :hp9.Scan:ehp9. again.
:dt.:hp2.Folder:ehp2.
:dd.Create folder with all books. When you click on this button, in new window you can select folder name,
and text for objects in folder (book's title and/or file location (drive, path and name).
.br
After you select folder and objects names, click on button :hp9.Folder:ehp9. again.
:dt.:hp2.Open:ehp2.
:dd.In entry field you can type topic to find in selected book (type '/' before topic to search all books in BOOKSHELF).
Click on button (or double click on selected book in the list) to open selected book and find topic (if entry field is not empty).
.br
To learn more how to find topic in books, :link reftype=launch object='View.exe' data='cmdref.inf view'.click here:elink..
:dt.:hp2.Clear:ehp2.
:dd.Clear entry field
:dt.:hp2.Delete:ehp2.
:dd.Remove selected book from the list
:dt.:hp2.Help:ehp2.
:dd.How to use program
:dt.:hp2.Exit:ehp2.
:dd.Leave program
:edl.
.*
.* Panel definition : Customization
.*
:h1 id=300  res=300 x=0% y=0% width=100% height=100%  group=1.Customization
:i1 id=300.Customization
:p.
You can customize Bookshelf&colon.
:ul compact.
:li.Position and size of Bookshelf window
:li.Font&colon. open Font Palette, drag and drop font on the list
(recommended is monospaced font&colon. Courier, System Monospaced or System VIO)
:li.Background color&colon. open Color Palette, drag and drop color on the list
:eul.
:p.
Bookshelf will save changes on exit.
:nt.
If you want to use default settings (size 600*400, font 8.Courier, white background), delete file BOOKS.INI and start program.
:ent.
.*
.* Panel definition : Source code
.*
:h1 id=400  res=400 x=0% y=0% width=100% height=100%  group=1.Source code
:i1 id=400.Source code
:p.
Source code for Bookshelf is included - unzip file source.zip.
:p.
Thanks to Bjrn Sderstrm who translated Bookshelf to Swedish.
:p.
To modify source (Books.RES), you need DrDialog, a visual programming environment for REXX.
.br
You can :link reftype=launch object='Netscape.exe' data='http://hobbes.nmsu.edu/pub/os2/dev/rexx/drdialog.zip'.download DrDialog from Hobbes:elink..
:p.
To modify help file (Books.ipf), you need any text editor and IPF Compiler to write INF file.
:nt.
If you modify source, I would appreciate a copy of any changes.
:ent.
.*
.* Panel definition : Copyright and license
.*
:h1 id=900  res=900 x=0% y=0% width=100% height=100%  group=1.Copyright and license
:i1 id=900.Copyright and license
:dl compact tsize=15.
:dthd.:hp2.Author:ehp2.
:ddhd.Goran Ivankovic
:dt.:hp2.Address:ehp2.
:dd.Ulica Josipa Poduje 8
:dt.
:dd.HR-52100 Pula
:dt.
:dd.Croatia
:dt.:hp2.email:ehp2.
:dd.:link reftype=launch object='netscape.exe' data='mailto:duga1@pu.hinet.hr?subject=Bookshelf 0.9.0'.duga1@pu.hinet.hr:elink.
:dt.:hp2.Home page:ehp2.
:dd.:link reftype=launch object='Netscape.exe' data='http://www.os2world.com/goran/'.http&colon.//www.os2world.com/goran/:elink.
:edl.
:p.
This program is provided free under the terms of the GPL. You can use it, modify it and distribute it.
If you modify or distribute it the new source must accompany the distribution.
I would appreciate a copy of any changes.
.br
You may not distribute :hp2.Bookshelf 0.9.0:ehp2. in any way which leads to your making a profit from it.
:p.
The author makes no representations about the accuracy or suitability of
this material for any purpose. It is provided "as is", without any
express or implied warranties. The author will assume no liability for
damages either from the direct use of this product or as a consequence of
the use of this product.
:ul compact.
:li.OS/2 is Trademark of International Bussines Machines Corporation
:li.DrDialog is Copyright of International Bussines Machines Corporation
:eul.
:euserdoc.
